## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDiagramContentInitializer

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreDiagramContentInitializer

    public class EcoreDiagramContentInitializer

extends java.lang.Object

Constructor Summary
`EcoreDiagramContentInitializer()`

Method Summary
`void` `initDiagramContent(org.eclipse.gmf.runtime.notation.Diagram diagram)`
`boolean` `isInitEPackageContent()`
`void` `setInitEPackageContent(boolean initEPackageContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreDiagramContentInitializer

    public EcoreDiagramContentInitializer()

Method Detail

### initDiagramContent

    public void initDiagramContent(org.eclipse.gmf.runtime.notation.Diagram diagram)

### isInitEPackageContent

    public boolean isInitEPackageContent()

  Returns:
    the initEPackageContent

### setInitEPackageContent

    public void setInitEPackageContent(boolean initEPackageContent)

  Parameters:
    `initEPackageContent` - the initEPackageContent to set

Copyright 2007 Anyware Technologies. All Rights Reserved.